'
'SJJ_Gadget_demo
'SJJ Embedded Micro Solutions
'Copyright (c) 2004-2008 SJJ Embedded Micro Solutions,LLC  All Rights Reserved
'www.sjjmicro.com
'

Imports System
Imports System.Drawing
Imports System.IO
Imports System.Reflection
Imports Microsoft.SideShow
Imports Microsoft.SideShow.SimpleContentFormat


Module Module1

    Dim Gadget_Demo_GUID As New Guid("{A8D8AE0C-65C6-4b3e-9F17-34265245FBF7}")


    Sub Main(ByVal args() As String)

        If (args.Length = 0) Then
            Console.WriteLine("SJJ DEMO Gadget [/R] [/U] [/D]")
            Console.WriteLine("   /R   Register the Gadget")
            Console.WriteLine("   /U   Unregister the Gadget")
            Console.WriteLine("   /D   Download Data")
            'Comment the next line when debugging
            Return

        End If

        For Each arg As String In args

            Select Case arg.ToUpper


                Case "/R" 'Registers the Gadget and sets the location for execution and an icon. You can change these to fit your system
                    GadgetRegistration.Register(False, Gadget_Demo_GUID, ScfSideShowGadget.ScfEndpointId, "SJJ Gadget Demo", "C:\dotNETMF\SideShow\Samples\SJJ_Gadget_Demo\SJJ_Gadget_Demo\bin\Debug\SJJ_Gadget_Demo.exe /D", "C:\dotNETMF\SideShow\Samples\SJJ_Gadget_Demo\SJJ_Gadget_Demo\bin\Debug\cab.ico", False, GadgetCachePolicies.KeepNewest, Nothing)

                Case "/U"
                    GadgetRegistration.Unregister(False, Gadget_Demo_GUID)

                Case "/D"
                    DownloadData()

                Case "?"
                    Console.WriteLine("SJJ DEMO Gadget [/R] [/U] [/D]")
                    Console.WriteLine("   /R   Register the Gadget")
                    Console.WriteLine("   /U   Unregister the Gadget")
                    Console.WriteLine("   /D   Download Data")
                    Return

            End Select

        Next

        'Uncomment the next line for debugging
        'DownloadData()



    End Sub

    Sub DownloadData()

        Dim Gadget_Demo As New ScfSideShowGadget(Gadget_Demo_GUID)

        'Download Glance Data
        Gadget_Demo.AddGlanceContent("Data downloaded on " + Date.Now)

        'Page 1 - Menu
        Gadget_Demo.AddContent(Scf.Menu(ScfSideShowGadget.HomePageContentId, "Main Menu", ScfSelectAction.Target, Scf.Item(2, "Show me some text"), Scf.Item(3, "Take me to the picture page"), Scf.Btn(DeviceButton.Left, "", 3), Scf.Btn(DeviceButton.Right, "", 2)))

        'Page 2 - The Text Page
        Gadget_Demo.AddContent(Scf.Content(2, "Welcome to the Text page", Scf.Txt(ScfAlign.Left, False, Color.Red, "Welcome to SideShow"), Scf.Txt(ScfAlign.Center, False, Color.White, "from"), Scf.Txt(ScfAlign.Right, True, Color.DarkBlue, "SJJ Embedded Micro Solutions"), Scf.Btn(DeviceButton.Left, "", 1), Scf.Btn(DeviceButton.Right, "", 3)))

        'Page 3 - Picture page with picture content
        Gadget_Demo.AddContent(Scf.Content(3, "Picture page", Scf.Img(100, ScfAlign.Center, ScfImageFit.Auto, "No picture found"), Scf.Btn(DeviceButton.Left, "", 2), Scf.Btn(DeviceButton.Right, "", 1)))
        Gadget_Demo.AddContent(100, ImageContentTransforms.ReduceColorDepth Or ImageContentTransforms.StretchToFit, Image.FromFile("c:\pictures\Z3carmelCA2.jpg")) 'You can change the to the picture of your choice


    End Sub




End Module
